#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */
bool cmp(int a,int b)
{
	return a>b;
}
int main(int argc, char** argv) {
	int t;
	cin>>t;
	int n,k;
	cin>>n>>k;
	vector<int> a(n);
	for(int i = 0;i<n;i++)
	{
		cin>>a[i];
	}
	sort(a.begin(),a.end());
	int max = 0;
	for(int i = 0;i<n;i++)
	{
		if(max<=a[i])
			max++;
		else
			max--;
	}
	sort(a.begin(),a.end(),cmp);
	int min = 0;
	for(int i = 0;i<n;i++)
	{
		if(min<=a[i])
			min++;
		else
			min--;
	}
	if(t==0)
	{
		if((n-k)%2==0)
			cout<<"NE"<<endl;
		else
		{
			if(k<=max && k>=min)
				cout<<"DA"<<endl;
			else
				cout<<"NE"<<endl;
		}
	}
	if(t==1)
	{
		
	}
	return 0;
}